<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC"
      crossorigin="anonymous"
    />
    <script nomodule>window.MSInputMethodContext && document.documentMode && document.write('<link rel="stylesheet" href="/css/bootstrap-ie11.min.css"><script src="https://cdn.jsdelivr.net/combine/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js,npm/ie11-custom-properties@4,npm/element-qsa-scope@1"><\/script><script crossorigin="anonymous" src="https://polyfill.io/v3/polyfill.min.js?features=default%2CNumber.parseInt%2CNumber.parseFloat%2CArray.prototype.find%2CArray.prototype.includes"><\/script>');</script>
    <link href="/css/all.css" rel="stylesheet">
    <link href="/css/custom.min.css" rel="stylesheet">
    <title>Exercise 2 - Bootstrap</title>
  </head>
  <body>
    <!-- Canvas-->
    <div
      class="offcanvas offcanvas-start bg-warning"
      data-bs-scroll="true"
      data-bs-backdrop="false"
      tabindex="-1"
      id="offcanvasScrolling"
      aria-labelledby="offcanvasScrollingLabel"
    >
      <div class="offcanvas-header">
        <h3 class="offcanvas-title" id="offcanvasScrollingLabel">Sidenav</h3>
        <button
          type="button"
          class="btn-close text-reset"
          data-bs-dismiss="offcanvas"
          aria-label="Close"
        ></button>
      </div>
      <!-- Canvas body -->
      <div class="offcanvas-body">
        <!-- Section 1-->
        <ul
          class="mt-2"
          data-bs-toggle="collapse"
          href="#section1"
          role="button"
          aria-expanded="false"
          aria-controls="section1"
        >
          <h3>Section 1</h3>
        </ul>
        <div class="collapse list-unstyled h4 ps-5 collapse show" id="section1">
          <li>Item 1.1</li>
          <li>Item 1.2</li>
          <li>Item 1.3</li>
        </div>
        <!-- Section 2-->
        <ul
          class="mt-2"
          data-bs-toggle="collapse"
          href="#section2"
          role="button"
          aria-expanded="false"
          aria-controls="section2"
        >
          <h3>Section 2</h3>
        </ul>
        <div class="collapse list-unstyled h4 ps-5 collapse show" id="section2">
          <li>Item 2.1</li>
          <li>Item 2.2</li>
          <li>Item 2.3</li>
        </div>
        <!-- Section 3-->
        <ul
          class="mt-2"
          data-bs-toggle="collapse"
          href="#section3"
          role="button"
          aria-expanded="false"
          aria-controls="section3"
        >
          <h3>Section 3</h3>
        </ul>
        <div class="collapse list-unstyled h4 ps-5 collapse show" id="section3">
          <li>Item 3.1</li>
          <li>Item 3.2</li>
          <li>Item 3.3</li>
        </div>
      </div>
    </div>
    <!-- NavBar Section -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-primary">
      <div class="container-fluid">
        <button
          class="navbar-toggler"
          type="button"
          data-bs-toggle="collapse"
          data-bs-target="#navbarNavDropdown"
          aria-controls="navbarNavDropdown"
          aria-expanded="false"
          aria-label="Toggle navigation"
        >
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNavDropdown">
          <ul class="navbar-nav">
            <li class="nav-item dropdown">
              <a
                class="nav-link dropdown-toggle me-4 pt-0 pb-0 h4"
                href="#"
                id="navbarDropdownMenuLink"
                role="button"
                data-bs-toggle="dropdown"
                aria-expanded="false"
              >
                Menu 1
              </a>
              <ul
                class="dropdown-menu"
                aria-labelledby="navbarDropdownMenuLink"
              >
                <li><a class="dropdown-item" href="#">Menu 1.1</a></li>
                <li><a class="dropdown-item" href="#">Menu 1.2</a></li>
                <li>
                  <a class="dropdown-item" href="#">Menu 1.3</a>
                </li>
              </ul>
            </li>
            <li class="nav-item dropdown">
              <a
                class="nav-link dropdown-toggle me-4 pt-0 pb-0 h4"
                href="#"
                id="navbarDropdownMenuLink"
                role="button"
                data-bs-toggle="dropdown"
                aria-expanded="false"
              >
                Menu 2
              </a>
              <ul
                class="dropdown-menu"
                aria-labelledby="navbarDropdownMenuLink"
              >
                <li><a class="dropdown-item" href="#">Menu 2.1</a></li>
                <li><a class="dropdown-item" href="#">Menu 2.2</a></li>
                <li>
                  <a class="dropdown-item" href="#">Menu 2.3</a>
                </li>
              </ul>
            </li>
            <li class="nav-item dropdown">
              <a
                class="nav-link dropdown-toggle me-4 pt-0 pb-0 h4"
                href="#"
                id="navbarDropdownMenuLink"
                role="button"
                data-bs-toggle="dropdown"
                aria-expanded="false"
              >
                Menu 3
              </a>
              <ul
                class="dropdown-menu"
                aria-labelledby="navbarDropdownMenuLink"
              >
                <li><a class="dropdown-item" href="#">Menu 3.1</a></li>
                <li><a class="dropdown-item" href="#">Menu 3.2</a></li>
                <li>
                  <a class="dropdown-item" href="#">Menu 3.3</a>
                </li>
              </ul>
            </li>
          </ul>
        </div>
        <button
              class="btn btn-dark"
              type="button"
              data-bs-toggle="offcanvas"
              data-bs-target="#offcanvasScrolling"
              aria-controls="offcanvasScrolling"
            >Sidenav
        </button>
      </div>
    </nav>
    <!-- Main Sections -->
    <div class="container-fluid">         <!-- Main Container -->
      <div class="row screen-height">
        <div class="col mh-100">
            <div class="container mt-3">
              <div class="row m-b-80">
                <div class="col">
                  <div class="float-start main-h">H1 Heading</div>
                </div>
                <div class="col">
                  <button class="btn btn-success float-end"><i class="fas fa-user-plus"></i> Button</button>
                </div>
              </div>
              <div class="row">         <!-- Table Section -->
                <div class="col">
                  <div class="overflow-auto">
                    <table class="table table-bordered table-hover">
                      <thead>
                        <tr>
                          <th scope="col">Col1</th>
                          <th scope="col">Col2</th>
                          <th scope="col">Col3</th>
                          <th scope="col">Col4</th>
                          <th class="t-w-160" scope="col">Buttons</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr>
                          <td>Row1</th>
                          <td>Row1</td>
                          <td>Row1</td>
                          <td>Row1</td>
                          <td>
                            <button class="btn btn-sm btn-warning py-0 btn-f-size"><i class="fas fa-edit"></i><span class="d-none d-sm-inline">Btn1</span></button>
                            <button class="btn btn-sm btn-danger py-0 btn-f-size"><i class="fas fa-trash"></i><span class="d-none d-sm-inline"> Btn2</span></button>
                          </td>
                        </tr>
                        <tr>
                          <td>Row2</th>
                          <td>Row2</td>
                          <td>Row2</td>
                          <td>Row2</td>
                          <td>
                            <button class="btn btn-sm btn-warning py-0 btn-f-size"><i class="fas fa-edit"></i><span class="d-none d-sm-inline">Btn1</span></button>
                            <button class="btn btn-sm btn-danger py-0 btn-f-size"><i class="fas fa-trash"></i><span class="d-none d-sm-inline"> Btn2</span></button>
                          </td>
                        </tr>
                        <tr>
                          <td>Row3</th>
                          <td>Row3</td>
                          <td>Row3</td>
                          <td>Row3</td>
                          <td>
                            <button class="btn btn-sm btn-warning py-0 btn-f-size"><i class="fas fa-edit"></i><span class="d-none d-sm-inline">Btn1</span></button>
                            <button class="btn btn-sm btn-danger py-0 btn-f-size"><i class="fas fa-trash"></i><span class="d-none d-sm-inline"> Btn2</span></button>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    <!-- Bootstrap scripts -->
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
